JGraph X 1.3.0.0

## com.mxgraph.layout
Class mxParallelEdgeLayout

    java.lang.Object
      com.mxgraph.layout.mxGraphLayout
          com.mxgraph.layout.mxParallelEdgeLayout

All Implemented Interfaces:
  mxIGraphLayout

    public class mxParallelEdgeLayout

extends mxGraphLayout

Field Summary
`protected int` `spacing` Specifies the spacing between the edges.

Fields inherited from class com.mxgraph.layout.mxGraphLayout
`graph, useBoundingBox`

Constructor Summary
`mxParallelEdgeLayout(mxGraph graph)` Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.
`mxParallelEdgeLayout(mxGraph graph, int spacing)` Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.

Method Summary
`void` `execute(java.lang.Object parent)` Executes the layout for the children of the specified parent.
`protected java.util.Map<java.lang.String,java.util.List<java.lang.Object>>` `findParallels(java.lang.Object parent)`
`protected java.lang.String` `getEdgeId(java.lang.Object edge)`
`protected void` `layout(java.util.List<java.lang.Object> parallels)`
`protected void` `route(java.lang.Object edge, double x, double y)`

Methods inherited from class com.mxgraph.layout.mxGraphLayout
`getConstraint, getConstraint, getGraph, getVertexBounds, isEdgeIgnored, isUseBoundingBox, isVertexIgnored, isVertexMovable, moveCell, setEdgePoints, setEdgeStyleEnabled, setUseBoundingBox, setVertexLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### spacing

    protected int spacing

  Specifies the spacing between the edges. Default is 20.

Constructor Detail

### mxParallelEdgeLayout

    public mxParallelEdgeLayout(mxGraph graph)

  Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.

### mxParallelEdgeLayout

    public mxParallelEdgeLayout(mxGraph graph,
                                int spacing)

  Constructs a new stack layout layout for the specified graph, spacing, orientation and offset.

Method Detail

### execute

    public void execute(java.lang.Object parent)

  Description copied from interface: `mxIGraphLayout`
  Executes the layout for the children of the specified parent.

  Parameters:
    `parent` - Parent cell that contains the children to be layed out.

### findParallels

    protected java.util.Map<java.lang.String,java.util.List<java.lang.Object>> findParallels(java.lang.Object parent)

### getEdgeId

    protected java.lang.String getEdgeId(java.lang.Object edge)

### layout

    protected void layout(java.util.List<java.lang.Object> parallels)

### route

    protected void route(java.lang.Object edge,
                         double x,
                         double y)

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.